#ifndef FANCYGPSDCLIENTEXCEPTION_H_
#define FANCYGPSDCLIENTEXCEPTION_H_

#include <fancyexception.h>
#include <fancygpsdclientlog.h>

namespace Fancy {
namespace GpsdClient {

class FANCYGPSDCLIENT_API Exception : public Fancy::Exception
{
public:
    Exception (int facility,
            int priority,
            const char *fmt, ...) throw()
#ifdef __GNUG__
            __attribute__((format(printf,4,5)))
#endif
;

    Exception (fancylog_service *service,
            int facility,
            int priority,
            const char *fmt, ...) throw()
#ifdef __GNUG__
            __attribute__((format(printf,5,6)))
#endif
;

    virtual ~Exception() throw();

protected:
    Exception (fancylog_service *service,
            int facility,
            int priority) throw();
};

}}// end namespaces


#endif
